/**
 * Created by abdulazizalonizi on 7/21/17.
 */
import java.util.Scanner ;
public class Task0 {
    public static void main (String[] args)
    {
        Scanner kb = new Scanner (System.in);
        System.out.println("enter a number greater than 0 ");

        double num = kb.nextDouble();
        if (num > 0 )
        {
            System.out.printf("x = %.2f \nlog10x = %.2f \nlnx = %.2f \nex =%.2f",num,Math.log10(num),Math.log(num),Math.pow(Math.E,num));
        }
        else
            System.out.println("you entered a wrong value");








    }
}
